Bug 455988 - Export to PSD crashes when there is text in vector layer
Summary: Export to PSD crashes when there is text in vector layer
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: 5.1.0-beta1
Platform: Microsoft Windows Microsoft Windows
: NOR crash
Target Milestone: ---
Assignee: wolthera
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2022-06-26 22:22 UTC by nikola
Modified: 2022-07-12 13:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Backtrace of the error (3.70 KB, text/plain)
2022-06-26 23:20 UTC, amyspark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nikola 2022-06-26 22:22:49 UTC
SUMMARY
If krita document contain editable text - export to PSD causes crash.

I found this bug in:
5.2.0-prealpha and
5.1.0-beta1

but not in 
5.0.6

STEPS TO REPRODUCE
1. make new document
2. make new layer with text tool (without changing anything in Edit Text dialog click on Save and Close)
3. export to PSD.

RESULT
After getting busy for few seconds Krita crashes. PSD file isn't generated.
Raster layers and vector layers with shapes appear to be exported properly.

SOFTWARE/OS VERSIONS
Windows: 10
Qt Version: 5.12.12.
Comment 1 amyspark 2022-06-26 23:20:52 UTC
Created attachment 150176 [details]
Backtrace of the error
Comment 2 amyspark 2022-06-26 23:23:13 UTC
Confirming and turning over to Wolthera. It seems that this broke in https://invent.kde.org/graphics/krita/-/commit/74b2b42dae44d1c315fa6e1921c1fd2b37337680, the text nodes are of type KisShapeLayer and lack a paint device.
Comment 3 Dmitry Kazakov 2022-07-12 13:53:43 UTC
Git commit 7b7f93c4bda74e55989d713cffe4d722e57c4aa5 by Dmitry Kazakov.
Committed on 12/07/2022 at 13:53.
Pushed by dkazakov into branch 'master'.

Fix crash when saving a file with text into PSD

M  +13   -8    libs/psd/psd_layer_section.cpp

https://invent.kde.org/graphics/krita/commit/7b7f93c4bda74e55989d713cffe4d722e57c4aa5
Comment 4 Dmitry Kazakov 2022-07-12 13:54:31 UTC
Git commit 118bab30fe3f36924759ff763020f6bb58da5269 by Dmitry Kazakov.
Committed on 12/07/2022 at 13:54.
Pushed by dkazakov into branch 'krita/5.1'.

Fix crash when saving a file with text into PSD

M  +13   -8    libs/psd/psd_layer_section.cpp

https://invent.kde.org/graphics/krita/commit/118bab30fe3f36924759ff763020f6bb58da5269